---
title: "Get organization activity"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-activity"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org_id-activity"
method: "GET"
path: "/v2/organizations/{org_id}/activity"
operation_id: "get-v2-organizations-org_id-activity"
authorization: "bearer"
---

# Get organization activity

`GET /v2/organizations/{org_id}/activity`

Allows users to view fetching statistics about the organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the organization activity is retrieved. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `date_from` | string | No | Filter by the date. Format: `?date_from=timestamp&date_to=timestamp` |

## Responses

### 200

Returns the audit log of organization activity in case of successful response for the admins and moderators with trial, professional and enterprise subscription. Returns an error when:

* If user is not admin/moderator of the Org, "code": 12003003. Message: "Access denied for current administration role in your organization."
* If user who does not have appropriate subscription tries to update settings, "code": 12003002. Message: "Access denied for current asubscription."
* If user tries to update settings of the organization that is not active or does not exist, "code": 12003001. Message: "Organization `deXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."

**Example** (`example-1`)

```json
{
  "data": {
    "senders": 26,
    "signers": 218,
    "documents": 2042,
    "active_users": 4652,
    "sent_documents": 451,
    "signed_documents": 101,
    "average_complete_time": "0:8:22"
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/activity" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-activity*
